Page MenuHomeFreeBSD

Mention chpass as a way to change login class in Russian Handbook
ClosedPublic

Authored by arrowd on Jul 2 2019, 5:41 AM.

Details

Reviewers
None
Group Reviewers
Doc Committers
Commits
rD53224: Import changes from r20825:
Summary

Mirror change from D20825

Diff Detail

Repository
rD FreeBSD doc repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 25176
Build 23864: arc lint + arc unit

Event Timeline

arrowd created this revision.Jul 2 2019, 5:41 AM
arrowd added a comment.Jul 2 2019, 5:42 AM

Phab refused to upload the diff for non-UTF8 file, so I had to upload it as binary.

bcr added a subscriber: bcr.Jul 2 2019, 6:24 AM

I can't view this file, neither download it as it seems to be a binary file.

arrowd added a comment.Jul 2 2019, 6:38 AM

I've uploaded the patch there: http://arrowd.name/doc.diff

It is quite inconvenient that Phabricator can't be used to review such changes. What's the rationale for using KOI8-R encoding? Can it be switched to UTF-8?

bcr added a subscriber: wblock.Jul 2 2019, 7:49 AM

@wblock was working on converting the docs to UTF-8, but efforts have stalled at the moment.
Ideally, if you want to make changes to the Russian translation, you'd find someone (other than me) who can mentor you for that language as a doc committer (or ask him/her to review and commit it).
I can only review the change for DocBook itself, but I can't comment on the language-specific parts. You could ask on the freebsd-doc mailing list if anyone is willing to help for that language. Thanks.

maxim added a subscriber: maxim.Jul 2 2019, 2:03 PM

Copying from -docs:

Talking about http://arrowd.name/doc.diff: indentation in the last chunk looks dubious for me. Otherwise looks good.

arrowd added a comment.Jul 3 2019, 7:42 PM

I've fixed the indentation and reuploaded the patch. @bcr, can you commit it?

bcr added a comment.Jul 4 2019, 6:20 AM

Sure, I'll do so soon.
Thanks for the patch!

This revision was not accepted when it landed; it landed in state Needs Review.Jul 4 2019, 6:23 AM
Closed by commit rD53224: Import changes from r20825: (authored by bcr). · Explain Why
This revision was automatically updated to reflect the committed changes.